Subject: Re: ppc32: Weird process scheduling behaviour with 2.6.24-rc

From: Ingo Molnar <[email-masked]>
Date: Mon, 28 Jan 2008 13:32:53 +0100

* Peter Zijlstra <[email-masked]> wrote:

> >       * With CONFIG_FAIR_USER_SCHED disabled, there are severe
> >         interactivity hickups with a niced CPU hog and top running. This
> >         started with commit 810e95ccd58d91369191aa4ecc9e6d4a10d8d0c8. 
> 
> The revert at the bottom causes the wakeup granularity to shrink for + 
> nice and to grow for - nice. That is, it becomes easier to preempt a + 
> nice task, and harder to preempt a - nice task.

i think it would be OK to do half of this: make it easier to preempt a 
+nice task. Michel, do you really need the -nice portion as well? It's 
not a problem to super-preempt positively reniced tasks, but it can be 
quite annoying if negatively reniced tasks have super-slices.

	Ingo